Package org.jboss.resteasy.client.jaxrs.internal.proxy

## Class ClientProxy

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.internal.proxy.ClientProxy

- All Implemented Interfaces:
    `InvocationHandler`

      public class ClientProxy
      extends Object
      implements InvocationHandler

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientProxy​(Map<Method,​MethodInvoker> methodMap, javax.ws.rs.client.WebTarget target, ProxyConfig config)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `Class<?>` | `getClazz()` |
    `int` | `hashCode()` |
    `Object` | `invoke​(Object o, Method method, Object[] args)` |
    `void` | `setClazz​(Class<?> clazz)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientProxy

          public ClientProxy​(Map<Method,​MethodInvoker> methodMap,
                             javax.ws.rs.client.WebTarget target,
                             ProxyConfig config)

  - ### Method Detail

    - #### getClazz

          public Class<?> getClazz()

    - #### setClazz

          public void setClazz​(Class<?> clazz)

    - #### invoke

          public Object invoke​(Object o,
                               Method method,
                               Object[] args)
                        throws Throwable

      Specified by:
        `invoke` in interface `InvocationHandler`
      Throws:
        `Throwable`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`